//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//


#include "StdHeaders.h"

#include "PushButtonCtrl.h"

#include "Dialog.h"

using namespace VWFC::VWUI;

VWPushButtonCtrl::VWPushButtonCtrl(TControlID id)
: VWControl( id )
{
}

VWPushButtonCtrl::~VWPushButtonCtrl()
{
}

bool VWPushButtonCtrl::CreateControl(VWDialog* pDlg, const TXString& text)
{
	::GS_CreatePushButton( gCBP, pDlg->GetControlID(), fControlID, text );
	return VWControl::CreateControl( pDlg );
}
