#include "StdAfx.h"

#include "PluginResource.h"

#include "ExtMenuClassName.h"

#include "SampleDlg1.h"
#include "SampleDlg2.h"
#include "SampleDlg3.h"
#include "SampleDlg4.h"

using namespace UI;

namespace UI
{
	// --------------------------------------------------------------------------------------------------------
	static SMenuDef		gMenuDef = {
		/*Needs*/				0x00,
		/*NeedsNot*/			0x00,
		/*Title*/				{11000, 1},
		/*Category*/			{11000, 2},
		/*HelpText*/			{11000},
		/*VersionCreated*/		16,
		/*VersoinModified*/		0,
		/*VersoinRetired*/		0,
		/*fContextualHelpID*/	" "
	};

	static SMenuChunkDef	gMenuChunksDef[] = {
		{ {11000, 4}, " " },
		{ {11000, 5}, " " },
		{ {11000, 6}, " " },
		{ {11000, 7}, " " },
		{ {NULL, NULL}, NULL }
	};
}


// --------------------------------------------------------------------------------------------------------
// {45A63CAE-98FF-4712-9F44-75C05049EADE}
IMPLEMENT_VWExtension(
	/*Extension class*/	CExtMenuClassName,
	/*Event sink*/		CMenuClassName_EventSink,
	/*Universal name*/	"VWUIDlgSample",
	/*Version*/			1,
	/*UUID*/			0x45a63cae, 0x98ff, 0x4712, 0x9f, 0x44, 0x75, 0xc0, 0x50, 0x49, 0xea, 0xde );

// --------------------------------------------------------------------------------------------------------
// --------------------------------------------------------------------------------------------------------
CExtMenuClassName::CExtMenuClassName(CallBackPtr cbp)
	: VWExtensionMenu( cbp, gMenuDef, gMenuChunksDef )
{
}

CExtMenuClassName::~CExtMenuClassName()
{
}

// --------------------------------------------------------------------------------------------------------
// --------------------------------------------------------------------------------------------------------
CMenuClassName_EventSink::CMenuClassName_EventSink(IVWUnknown* parent)
	: VWMenu_EventSink( parent )
{
}

CMenuClassName_EventSink::~CMenuClassName_EventSink()
{
}

TXString CMenuClassName_EventSink::GetContextualHelpID() const
{
	return "";
}

void CMenuClassName_EventSink::DoInterface()
{
	switch( fpMenuChunkInfo->chunkIndex ) {
		case 1:	{
			CMyDialog		dlg;
			dlg.RunDialogLayout( "" );
		} break;
		case 2:	{
			CSampleDlg2		dlg;
			dlg.RunDialogLayout( "" );
		} break;
		case 3:	{
			CSampleDlg3		dlg;
			dlg.RunDialogLayout( "" );
		} break;
		case 4:	{
			CSampleDlg4		dlg;
			dlg.RunDialogLayout( "" );
		} break;
	}
}
