//
//	Copyright  Nemetschek Vectorworks, Inc.
//	Use of this file is governed by the Nemetschek Vectorworks SDK License Agreement
//	http://developer.vectorworks.net/index.php?title=Vectorworks_SDK_License
//

#pragma once

#include "Control.h"
#include "TreeCtrlItem.h"

namespace VWFC
{
	namespace VWUI
	{
		// ---------------------------------------------------------------------------------------------------------------
		class VWTreeCtrl	: public VWControl
							, public VWTreeCtrlContainer
		{
		public:
							VWTreeCtrl(TControlID id);
			virtual			~VWTreeCtrl();

			virtual bool	CreateControl(VWDialog* pDlg, short widthInCharacters, short heightInLines=1);

		public:
			VWTreeCtrlItem&	GetSelectedItem();

		protected:
			virtual void	AttachControl();
		};
	}
}