#pragma once


namespace Tester
{
	using namespace VWFC::PluginSupport;

	// ------------------------------------------------------------------------------------------------------
	class CObjThePoly3D_EventSink : public VWParametric_EventSink
	{
	public:
					CObjThePoly3D_EventSink(IVWUnknown* parent);
		virtual		~CObjThePoly3D_EventSink();

	// Plug-in Object action/events constants 
	public:
		virtual EObjectEvent	OnInitXProperties(CodeRefID objectID);
		virtual EObjectEvent	Recalculate();
	};


	// ------------------------------------------------------------------------------------------------------
	class CExtObjThePoly3D : public VWExtensionParametric
	{
		DEFINE_VWExtension;
	public:
										CExtObjThePoly3D(CallBackPtr cbp);
		virtual							~CExtObjThePoly3D();
	};

	// ------------------------------------------------------------------------------------------------------
	// default tool for ExtObjThePoly3D
	class CExtObjThePoly3DDefTool : public VWExtensionTool
	{
		DEFINE_VWExtension;
	public:
										CExtObjThePoly3DDefTool(CallBackPtr cbp);
		virtual							~CExtObjThePoly3DDefTool();

	};

	// ------------------------------------------------------------------------------------------------------
	// default tool event skink
	class CExtObjThePoly3DDefTool_EventSink : public VWToolDefault3DPoly_EventSink
	{
	public:
										CExtObjThePoly3DDefTool_EventSink(IVWUnknown* parent);
		virtual							~CExtObjThePoly3DDefTool_EventSink();

		virtual void					Init(const TXString& universalName);

	public:
		// When tool is selected or resumed
		virtual bool			DoSetUp(bool bRestore, const IToolModeBarInitProvider* modeBarInitProvider);
	};
}
